d.rast.num(1)

NAME
d.rast.num - Overlays cell category values on a raster map layer displayed to the graphics monitor.

SYNOPSIS
d.rast.num
d.rast.num help
d.rast.num [-f] [map=string] [grid_color=string] [text_color=string]

  Flags:

-f  Get text color from cell color value

  Parameters:

map=string
    Name of existing raster map to be displayed

grid_color=string
    Color for drawing grid Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey Default: gray

text_color=string
    Color for drawing text Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey Default: black

DESCRIPTION
d.rast.num overlays cell category values onto a raster map layer displayed to the user's graphics monitor. Category values will be displayed in white and/or black, based on the colors in which underlying cells are displayed. A grid outlining each map cell will also be overlain in a user-specified color.

The user should run d.rast to display the desired map layer on the graphics monitor before running this program.

d.rast.num can be run non-interactively or interactively. If the user specifies the map whose category values are to be displayed and/or the grid color on the command line, the program will run non-interactively. Alternately, the user may simply type d.rast.num on the command line; in this case, the program will prompt the user for parameter values using the standard GRASS user interface described in the manual entry for parser . If no grid color is given the default will be used. If no map layer is specified, the program will use whatever raster map layer is currently displayed in the active frame on the graphics monitor.

NOTES
The user is advised to set the current region to a relatively small area (i.e., less than 100 rows by 100 columns); otherwise, the individual cells being displayed will be small and the category value associated with each will be difficult to see.

SEE ALSO
d.erase, d.frame, d.grid, d.mon, d.rast, d.rast.arrow, d.rast.edit, d.zoom, g.region, r.mask, r.slope.aspect

AUTHORS
Raghavan Srinivasan, and Chris Rewerts, Agricultural Engineering, Purdue University

Last changed: $Date: 2004/08/10 14:05:19 $

Help Index